
Figure - Bug #118277
【IOVDEV-30471】【IOVDEV-32336】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【第三方应用
】应用宝app的消息通知展示在小窗中，UI还有遮挡，不展示在车机通知中心
2023-05-26 17:44 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0100.C103��【中控版本号】：03.02.0082.C102.02_userdebug_2305191401

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 创建DecorView的时候,当前是处于默认小窗启动的应用,所以infreeform是true,但是应用宝启动的这个通知界面就是悬浮的状态,导致显示异常

Description

【环境信息】：EE环境

【问题出现时间】：2023/05/25 13:35 第135次开机

【前提条件】：电源ON

【操作步骤】：

1、应用宝app通知权限打开

2、应用宝来消息通知

【实际结果】

消息通知突然在小窗弹出，UI还被遮挡

【期望结果】

在车机的通知中心通知

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0082.C102.02_userdebug_2305191401

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】应用宝8.4.2

录屏&log:https://networkdisk.human-horizons.com/l/TnaR6a

History

#1 - 2023-05-26 17:45 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118277

#2 - 2023-05-26 18:01 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Status changed from New to ASSIGNED
#3 - 2023-05-26 18:15 - CDTS_Test 吴诗雨

仅以该bug跟踪应用宝通知小窗黑屏问题

#4 - 2023-05-29 14:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203066 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: disable caption when window is floatingTC-RID: 1201-0204601IssueID: TS-R-BUG-118277Change-Id:

I9f6cd3e09776cc09c42676bd874d483b15082082

#5 - 2023-05-30 17:03 - CD FW-鲁凯峰

由于很难复现该问题,目前所做的修改已经入库,需要测试帮忙在最新的版本上验证一下

#6 - 2023-06-01 19:36 - CD FW-鲁凯峰

从日志看是由于创建DecorView的时候,当前是处于默认小窗启动的应用,所以infreeform是true,但是应用宝启动的这个通知界面就是悬浮的状态,导致显示异

常

05-31 14:28:59.522  1548  3167 I ActivityTaskManager: START u0 {flg=0x10020000

cmp=com.tencent.android.qqdownloader/com.tencent.pangu.module.desktopwin.template.container.PhotonWindowSupportActivity (has extras)} from uid 10092

目前还在分析中,由于很难复现,目前还不知道什么方法来控制DecorCaptionView的显示

#7 - 2023-06-02 18:24 - CD FW-鲁凯峰

目前的方案是单独对应用宝进行处理,当PhotonWindowSupportActivity启动时,不显示DecorCaptionView

通过命令启动PhotonWindowSupportActivity,从日志中看,目前是没有显示DecorCaptionView了

adb shell am start -n com.tencent.android.qqdownloader/com.tencent.pangu.module.desktopwin.template.container.PhotonWindowSupportActivity

06-03 18:30:23.986 17765 17765 D lukaifeng: onResourcesLoaded

06-03 18:30:23.986 17765 17765 D lukaifeng: createDecorCaptionView

06-03 18:30:23.986 17765 17765 D lukaifeng: type : 2

06-03 18:30:23.986 17765 17765 D lukaifeng: isApplication : true

06-03 18:30:23.986 17765 17765 D lukaifeng: isFillingScreen : false

06-03 18:30:23.986 17765 17765 D lukaifeng: isDialog : false

06-03 18:30:23.986 17765 17765 D lukaifeng: className : com.tencent.pangu.module.desktopwin.template.container.PhotonWindowSupportActivity

06-03 18:30:23.988 17765 17765 D lukaifeng: updateDecorCaptionBackgroundView

06-03 18:30:23.988 17765 17765 D lukaifeng: displayWindowDecor : false

目前还在复现该问题,想看看设备上的具体现象
#8 - 2023-06-03 15:12 - CDTS_Test 吴诗雨

- Subject changed from 【IOVDEV-30471】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【第三方应用】应用宝app的消息通知展示在小窗中

，UI还有遮挡，不展示在车机通知中心 to 【IOVDEV-30471】【IOVDEV-32336】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【第三方应用

】应用宝app的消息通知展示在小窗中，UI还有遮挡，不展示在车机通知中心

#9 - 2023-06-05 13:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204656 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: don't show caption viewdon't show caption view for floating windowTC-RID: 1201-0204601IssueID: TS-R-BUG-118277Change-Id:

If0f648835e42528f625b9a6a041f8b721812f245

#10 - 2023-06-05 13:48 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 创建DecorView的时候,当前是处于默认小窗启动的应用,所以infreeform是true,但是应用宝启动的这个通知界面就是悬浮的状态,导致显示异

常

#11 - 2023-06-05 13:48 - CD FW-鲁凯峰

- File 2.png added

#12 - 2023-06-05 14:02 - CD FW-鲁凯峰

【期望结果】

在车机的通知中心通知

这个通知是应用宝专门做的一个弹窗通知,它和正常的消息弹窗通知不一样,里面的UI样式是有应用宝自己设计的,是个正常的现象

#13 - 2023-06-07 15:49 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#14 - 2023-06-07 15:53 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

Screenshot_20230525-133242.png 276 KB 2023-05-26 CDTS_Test 吴诗雨

2.png 388 KB 2023-06-05 CD FW-鲁凯峰
